<template>
  <banner-mobile-overflow
    v-if="pageStyleSelected?.Text === 'Banner_style_02'"
    :auth="authentication"
    :theme-properties="themeProperties"
  />
  <lazy-banner-mobile
    v-else
    :style-selected="pageStyleSelected?.Text"
    :theme-properties="themeProperties"
    :actived="actived"
  />
</template>

<script lang="ts">
import { defineComponent, PropType } from "vue";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "MobileBannerRender",
  props: {
    themeProperties: {
      type: Array as PropType<Array<IThemePropertiesFromApi>>,
      required: true,
    },
    actived: {
      type: String,
      default: "HomeInitial",
    },
  },
  setup() {
    const { pageStyleSelected } = useBannerRender();
    return {
      pageStyleSelected,
    };
  },
});
</script>
